Subject: Re: Compiling with G++ and segment fault on vector declaration
From: Marco Atzeri <[email-masked]>
To: John Yoon <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Sep 2010 21:59:40 +0000 (GMT)
List-Id: <cygwin.cygwin.com>

--- Gio 16/9/10, John Yoon <xxxxxxxxxxxx> ha scritto:

> Thanks Marco. It worked!
> I don't know how you got g++ version 4.3.4
> Because the only version I see available is 3.4.4
> 
> I would like to understand the cause of this.
> Does gcc work differently in cygwin?
> How come I don't need to specify the header file?
> 
> Thank you
> 
> John

first: don't top post

> 
> On Thu, Sep 16, 2010 at 1:28 PM, Marco Atzeri <xxxxxxxxxxxx>
                                                 ^^^^^^^^^^^^ 
second: don't feed spammers

third: install gcc4 compiler

On any system, not only on cygwin, you don't need to compile 
the header as it is already included in the sources

see cards.cpp
#include "cards.h"

> wrote:
> > --- Gio 16/9/10, John Yoon ha scritto:
> >
> >> Hi there!
> >> I have set the links to the files I used below:
> >> http://dl.dropbox.com/u/1729951/cards.cpp
> >> http://dl.dropbox.com/u/1729951/cards.h
> >> http://dl.dropbox.com/u/1729951/hw8.cpp
> >>
> >> I run this on cygwin:
> >> $ g++ cards.h cards.cpp hw8.cpp
> >> cards.h:74: internal compiler error: Segmentation
> fault
> >> Please submit a full bug report,
> >> with preprocessed source if appropriate.
> >> See <URL:http://cygwin.com/problems.html> for
> >> instructions.
> >>
> >> These files run fine on Ubuntu and LinuxMint
> >> Any idea what the problem could be?
> >> John
> >
> > also on cygwin
> >
> > $ g++ -c cards.cpp -o cards.o
> > $ g++ -c hw8.cpp -o hw8.o
> > $ g++  hw8.o cards.o -o cards
> >
> > or
> > $ g++  hw8.cpp cards.cpp  -o cards
> >
> > $ g++ --version
> > g++ (GCC) 4.3.4 20090804 (release) 1
> >
> > Regards
> > Marco
> >

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple